<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:35 UTC 2019 -->
<title>ARController.UpViewTransitionParams (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ARController.UpViewTransitionParams (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ARController.UpViewTransitionParams.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/ARController.UpViewParams.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/ar/ARController.ViewType.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/ARController.UpViewTransitionParams.html" target="_top">Frames</a></li>
<li><a href="ARController.UpViewTransitionParams.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.ar</div>
<h2 title="Class ARController.UpViewTransitionParams" class="title">Class ARController.UpViewTransitionParams</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.ar.ARController.UpViewTransitionParams</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar">ARController</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">ARController.UpViewTransitionParams</span>
extends java.lang.Object</pre>
<div class="block">Encapsulates parameters which affect the Up view transition. The Up view transition is the
 action that occurs when transitioning from the Down view to the Up view.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html#getMaxAnimationTime--">getMaxAnimationTime</a></span>()</code>
<div class="block">Get maximum duration of up view transition animation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html#getMinAnimationTime--">getMinAnimationTime</a></span>()</code>
<div class="block">Get minimum duration of up view transition animation.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html#getPitchInterpolator--">getPitchInterpolator</a></span>()</code>
<div class="block">Get the interpolator for pitch change after crossing threshold of up view.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html" title="class in com.here.android.mpa.ar">ARController.UpViewTransitionParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html#setMaxAnimationTime-long-">setMaxAnimationTime</a></span>(long value)</code>
<div class="block">Set the maximum value of up view transition animation duration.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html" title="class in com.here.android.mpa.ar">ARController.UpViewTransitionParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html#setMinAnimationTime-long-">setMinAnimationTime</a></span>(long value)</code>
<div class="block">Set the minimum value of up view transition animation duration.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html" title="class in com.here.android.mpa.ar">ARController.UpViewTransitionParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html#setPitchInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setPitchInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for pitch change after crossing threshold of up view.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setMaxAnimationTime-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxAnimationTime</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html" title="class in com.here.android.mpa.ar">ARController.UpViewTransitionParams</a> setMaxAnimationTime(long value)</pre>
<div class="block">Set the maximum value of up view transition animation duration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - up view transition animation maximum duration in ms</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>UpViewTransitionParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getMaxAnimationTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxAnimationTime</h4>
<pre>public long getMaxAnimationTime()</pre>
<div class="block">Get maximum duration of up view transition animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>maximum duration of up view transition animation in ms.</dd>
</dl>
</li>
</ul>
<a name="setMinAnimationTime-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMinAnimationTime</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html" title="class in com.here.android.mpa.ar">ARController.UpViewTransitionParams</a> setMinAnimationTime(long value)</pre>
<div class="block">Set the minimum value of up view transition animation duration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - up view transition animation minimum duration in ms</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>UpViewTransitionParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getMinAnimationTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinAnimationTime</h4>
<pre>public long getMinAnimationTime()</pre>
<div class="block">Get minimum duration of up view transition animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>minimum duration of up view transition animation in ms.</dd>
</dl>
</li>
</ul>
<a name="setPitchInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPitchInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html" title="class in com.here.android.mpa.ar">ARController.UpViewTransitionParams</a> setPitchInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set the interpolator for pitch change after crossing threshold of up view.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a> for pitch change</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>UpViewTransitionParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getPitchInterpolator--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPitchInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getPitchInterpolator()</pre>
<div class="block">Get the interpolator for pitch change after crossing threshold of up view.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a>.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ARController.UpViewTransitionParams.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/ARController.UpViewParams.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/ar/ARController.ViewType.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/ARController.UpViewTransitionParams.html" target="_top">Frames</a></li>
<li><a href="ARController.UpViewTransitionParams.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
